Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595263 - virtio net lacks upstream fixes as of may 24
Summary: virtio net lacks upstream fixes as of may 24
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Michael S. Tsirkin
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 08:41 UTC by Michael S. Tsirkin
Modified: 2013-01-09 22:36 UTC (History)
6 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.70.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-11 18:06:53 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Michael S. Tsirkin 2010-05-24 08:41:35 UTC
Description of problem:
Need to backport these fixes from upstream
which deal with virtio features:

commit 57c3229ba1c5cecae277301b8b16577fbf2de98b
Author: Michael S. Tsirkin <mst@redhat.com>
Date:   Sun May 9 14:35:43 2010 +0300

    virtio-net: return with value in void function
    
    virtio-net has return with value in a void function.
    No idea why does it compile with gcc,
    but this isn't legal C.
    
    Signed-off-by: Michael S. Tsirkin <mst@redhat.com>


commit fae054b070143a60ce40671470292efc2dc58a49
Author: Michael S. Tsirkin <mst@redhat.com>
Date:   Sun May 9 19:42:09 2010 +0300

    virtio: invoke set_features on load
    
    After migration, vhost was not getting features
    acked because set_features callback was never invoked.
    The fix is just to invoke that callback.

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.59.el6.x86_64.rpm


Note You need to log in before you can comment on or make changes to this bug.